{season}: Get seasonal anime

API: myanimelist.net:myanimelist-api
Endpoint: /seasons/{year}/{season}
Response format: application/json
Auth: oauth2
Method: GET
Last Status: 200
Latency: 374ms

Description

Returns anime that aired during a specific season (winter, spring, summer, fall) of a given year

Parameters (3)

page (integer, query, optional, default: 1)

Page number for pagination

season (string, path, required)

Constraints: {'enum': ['winter', 'spring', 'summer', 'fall']}

year (integer, path, required)

Examples (1)

Get seasonal anime openapi-spec
curl 'https://api.jikan.moe/v4/seasons/2024/winter'
import requests

resp = requests.get("https://api.jikan.moe/v4/seasons/2024/winter")
data = resp.json()
import zingu_apis

api = zingu_apis.api("myanimelist")
result = api.fetch("seasons/{year}/{season}")

for item in result:
    print(item)
const resp = await fetch("https://api.jikan.moe/v4/seasons/2024/winter");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:45:10.394037 200 374ms
2026-04-15 03:16:18.892151 504 179ms
2026-04-14 00:06:20.543279 200 421ms
2026-04-12 13:19:54.490065 200 216ms
2026-04-10 00:30:09.634270 200 409ms
2026-04-09 00:53:19.382074 200 442ms